com.io7m.r2.filters

## Class R2FilterOcclusionApplicatorParameters

- java.lang.Object
- - com.io7m.r2.filters.R2FilterOcclusionApplicatorParameters

- All Implemented Interfaces:
    R2FilterOcclusionApplicatorParametersType

      @Generated(value={"Immutables.generator","R2FilterOcclusionApplicatorParametersType"})
      public final class R2FilterOcclusionApplicatorParameters
      extends Object
      implements R2FilterOcclusionApplicatorParametersType

  The type of occlusion applicator filter parameters.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2FilterOcclusionApplicatorParameters.Builder` Builds instances of type `R2FilterOcclusionApplicatorParameters`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2FilterOcclusionApplicatorParameters.Builder` | `builder()` Creates a builder for `R2FilterOcclusionApplicatorParameters`.
    `static R2FilterOcclusionApplicatorParameters` | `copyOf(R2FilterOcclusionApplicatorParametersType instance)` Creates an immutable copy of a `R2FilterOcclusionApplicatorParametersType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2FilterOcclusionApplicatorParameters` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `outputLightBuffer`, `occlusionTexture`, `intensity`.
    `float` | `intensity()`
    `R2Texture2DUsableType` | `occlusionTexture()`
    `static R2FilterOcclusionApplicatorParameters` | `of(R2LightBufferUsableType outputLightBuffer, R2Texture2DUsableType occlusionTexture, float intensity)` Construct a new immutable `R2FilterOcclusionApplicatorParameters` instance.
    `R2LightBufferUsableType` | `outputLightBuffer()`
    `String` | `toString()` Prints the immutable value `R2FilterOcclusionApplicatorParameters` with attribute values.
    `R2FilterOcclusionApplicatorParameters` | `withIntensity(float value)` Copy the current immutable object by setting a value for the `intensity` attribute.
    `R2FilterOcclusionApplicatorParameters` | `withOcclusionTexture(R2Texture2DUsableType value)` Copy the current immutable object by setting a value for the `occlusionTexture` attribute.
    `R2FilterOcclusionApplicatorParameters` | `withOutputLightBuffer(R2LightBufferUsableType value)` Copy the current immutable object by setting a value for the `outputLightBuffer` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### outputLightBuffer

          public R2LightBufferUsableType outputLightBuffer()

      Specified by:
        `outputLightBuffer` in interface `R2FilterOcclusionApplicatorParametersType`
      Returns:
        The light buffer that will have occlusion applied

    - #### occlusionTexture

          public R2Texture2DUsableType occlusionTexture()

      Specified by:
        `occlusionTexture` in interface `R2FilterOcclusionApplicatorParametersType`
      Returns:
        A texture containing occlusion values

    - #### intensity

          public float intensity()

      Specified by:
        `intensity` in interface `R2FilterOcclusionApplicatorParametersType`
      Returns:
        The intensity of the occlusion

    - #### withOutputLightBuffer

          public final R2FilterOcclusionApplicatorParameters withOutputLightBuffer(R2LightBufferUsableType value)

      Copy the current immutable object by setting a value for the `outputLightBuffer` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for outputLightBuffer
      Returns:
        A modified copy of the `this` object

    - #### withOcclusionTexture

          public final R2FilterOcclusionApplicatorParameters withOcclusionTexture(R2Texture2DUsableType value)

      Copy the current immutable object by setting a value for the `occlusionTexture` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for occlusionTexture
      Returns:
        A modified copy of the `this` object

    - #### withIntensity

          public final R2FilterOcclusionApplicatorParameters withIntensity(float value)

      Copy the current immutable object by setting a value for the `intensity` attribute. A value strict bits equality used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for intensity
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2FilterOcclusionApplicatorParameters` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `outputLightBuffer`, `occlusionTexture`, `intensity`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2FilterOcclusionApplicatorParameters` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2FilterOcclusionApplicatorParameters of(R2LightBufferUsableType outputLightBuffer,
                                                                 R2Texture2DUsableType occlusionTexture,
                                                                 float intensity)

      Construct a new immutable `R2FilterOcclusionApplicatorParameters` instance.
      Parameters:
        `outputLightBuffer` - The value for the `outputLightBuffer` attribute
        `occlusionTexture` - The value for the `occlusionTexture` attribute
        `intensity` - The value for the `intensity` attribute
      Returns:
        An immutable R2FilterOcclusionApplicatorParameters instance

    - #### copyOf

          public static R2FilterOcclusionApplicatorParameters copyOf(R2FilterOcclusionApplicatorParametersType instance)

      Creates an immutable copy of a `R2FilterOcclusionApplicatorParametersType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2FilterOcclusionApplicatorParameters instance

    - #### builder

          public static R2FilterOcclusionApplicatorParameters.Builder builder()

      Creates a builder for `R2FilterOcclusionApplicatorParameters`.
      Returns:
        A new R2FilterOcclusionApplicatorParameters builder

Copyright © 2016 <code@io7m.com> http://io7m.com